# Interface SketchPartitionLimits

All Known Subinterfaces:
  `GenericSortedView<T>, QuantilesGenericAPI<T>`

All Known Implementing Classes:
  `ItemsSketchSortedView, KllItemsSketch, QuantilesItemsSketch`

public interface SketchPartitionLimits
This defines the methods required to compute the partition limits.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxPartitions()`
Gets the maximum number of partitions this sketch will support based on the configured size K and the number of retained values of this sketch.
`default long`
`getMinPartitionSizeItems()`
Gets the minimum partition size in items this sketch will support based on the configured size K of this sketch and the number of retained values of this sketch.
`long`
`getN()`
Gets the length of the input stream offered to the sketch..

## Method Details

### getMaxPartitions

int getMaxPartitions()
Gets the maximum number of partitions this sketch will support based on the configured size K and the number of retained values of this sketch.

Returns:
  the maximum number of partitions this sketch will support.

### getMinPartitionSizeItems

default long getMinPartitionSizeItems()
Gets the minimum partition size in items this sketch will support based on the configured size K of this sketch and the number of retained values of this sketch.

Returns:
  the minimum partition size in items this sketch will support.

### getN

long getN()
Gets the length of the input stream offered to the sketch..

Returns:
  the length of the input stream offered to the sketch.